using System;
using com.agilefaqs.rft.domain;
using NUnit.Framework;

namespace com.agilefaqs.rft.suggestions.strategies
{
    [TestFixture]
    public class ChildStrategyParamTest
    {
        private const String CITY = "mumbai";
        private const String FIRST_NAME = "Naresh";
        private const String LAST_NAME = "Jain";

        [Test]
        public virtual void testEquals()
        {
            ChildStrategyParam paramOne = new ChildStrategyParam(FIRST_NAME, LAST_NAME, null);
            ChildStrategyParam paramTwo = new ChildStrategyParam(FIRST_NAME, LAST_NAME, CITY);
            ChildStrategyParam paramThree = new ChildStrategyParam(FIRST_NAME, LAST_NAME, null);
            ChildStrategyParam paramFour = new ChildStrategyParam(null, null, null);
            Assert.IsTrue(paramOne.Equals(paramThree));
            Assert.IsFalse(paramOne.Equals(paramTwo));
            Assert.IsFalse(paramThree.Equals(paramTwo));
            Assert.IsFalse(paramThree.Equals(paramFour));
            Assert.IsFalse(paramThree.Equals(new User()));
            Assert.IsFalse(paramThree.Equals(null));
        }
    }
}