using System.Collections.Generic;
using com.agilefaqs.rft.suggestions.strategies;

namespace com.agilefaqs.rft.suggestions
{
    public class SuggestionStrategyFactory
    {
        private readonly List<SuggestionStrategy> strategies = new List<SuggestionStrategy>();

        public SuggestionStrategyFactory(ChildSuggestionFactory childSuggestionFactory)
        {
            strategies.Add(new IdentitySuggestionOneStrategy(childSuggestionFactory));
            strategies.Add(new IdentitySuggestionTwoStrategy(childSuggestionFactory));
            strategies.Add(new IdentitySuggestionThreeStrategy(childSuggestionFactory));
            strategies.Add(new IdentitySuggestionFourStrategy(childSuggestionFactory));
        }

        public virtual List<SuggestionStrategy> getStrategies()
        {
            return strategies;
        }
    }
}